Skip to main content
POST
/
api
/
v1
/
merchants
/
{merchant_id}
/
products
List Products Post Endpoint
curl --request POST \
  --url https://api.example.com/api/v1/merchants/{merchant_id}/products \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "limit": 50,
  "sort_by": "revenue_desc",
  "include_metrics": false,
  "shopper_facing_only": false
}
'
import requests

url = "https://api.example.com/api/v1/merchants/{merchant_id}/products"

payload = {
"limit": 50,
"sort_by": "revenue_desc",
"include_metrics": False,
"shopper_facing_only": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
limit: 50,
sort_by: 'revenue_desc',
include_metrics: false,
shopper_facing_only: false
})
};

fetch('https://api.example.com/api/v1/merchants/{merchant_id}/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "products": [
    {
      "main_product_id": "<string>",
      "title": "<string>",
      "main_image_url": "<string>",
      "hover_image_url": "<string>",
      "metadata": [
        {
          "min_percentage": 123,
          "max_percentage": 123,
          "type": "on_sale"
        }
      ],
      "metrics": {
        "clicks": 0,
        "prev_clicks": 0,
        "views": 0,
        "prev_views": 0,
        "sold": 0,
        "prev_sold": 0,
        "revenue": 0,
        "prev_revenue": 0,
        "revenue_currency": "",
        "inventory": 0,
        "click_through_rate": 0,
        "prev_click_through_rate": 0,
        "sell_through_rate": 0,
        "prev_sell_through_rate": 0,
        "add_to_carts": 0,
        "prev_add_to_carts": 0
      },
      "is_auto_hidden": false,
      "hidden_in_market_groups": [],
      "hidden_in_markets": []
    }
  ],
  "sort_options": [
    {
      "id": "<string>",
      "label": "<string>",
      "selected": true
    }
  ],
  "stats": {
    "all_products": 123,
    "all_out_of_stock": 123,
    "all_low_stock": 123,
    "total_products": 123,
    "out_of_stock": 123,
    "low_stock": 123,
    "on_sale": 123,
    "new_in": 123,
    "inactive": 123,
    "bestseller": 123,
    "trending": 123,
    "slow_mover": 123,
    "star_product": 123
  },
  "next_cursor": "<string>",
  "has_more": false
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

merchant_id
string
required

Query Parameters

locale
string | null

Body

application/json
locale_id
string | null
market
string | null
market_group_id
string | null
limit
integer
default:50
Required range: 1 <= x <= 100
cursor
string | null
sort_by
enum<string>
default:revenue_desc
Available options:
relevance,
created_at_asc,
created_at_desc,
sale_price_asc,
sale_price_desc,
title_asc,
title_desc,
clicks_asc,
clicks_desc,
views_asc,
views_desc,
sold_asc,
sold_desc,
revenue_asc,
revenue_desc,
ctr_asc,
ctr_desc,
str_asc,
str_desc,
inventory_asc,
inventory_desc
search
string | null
filters
Filters · object | null
include_metrics
boolean
default:false
shopper_facing_only
boolean
default:false

Response

Successful Response

products
ListedProduct · object[]
required
sort_options
SortOptionItem · object[]
required
stats
ProductListingStats · object
required
next_cursor
string | null
has_more
boolean
default:false